Subject: Re: Need info on monitor
From: [email-masked] (David Empson)
Date: Thu, 30 Mar 1995 13:52:23 GMT
Newsgroups: comp.sys.apple2

In article <Pine.SUN.3.91.950329093407.29258A-100000@owens>,
Cyrus Roton  <[email-masked]> wrote:
>
> There used to be a RGB converter for the IIc, but I have not 
> seen one for years. It is not a simple matter of finding the right cable. 
> I was not aware that the IIc or the Laser 128 puts out a RGB signal.

I don't know about the Laser.  The IIc doesn't have built-in RGB
output.  Its video port provides several low-level timing signals
which allow RGB data to be decoded from the composite video signal
(which is also provided on the port), but this requires external
hardware.

The "standard" IIc RGB adaptor (assuming there was one) would probably
have produced digital RGB output, the same as the Apple III and the
Apple IIe memory expansion cards with RGB output.  With a digital RGB
monitor, standard digital logic levels (TTL) indicate whether a colour
(or colour weighting) is present or absent.  One wire is required for
each bit of each primary colour.

The IIgs, on the other hand, produces an analog RGB signal - a voltage
on the Red, Green and Blue outputs represents the intensity of each
primary colour.  Any number of shades of each colour can be supported,
by providing a finer resolution digital to analog converter within the
computer.  The IIgs has 4-bit D-to-A for each primary colour.  High-end
video cards on the Mac and PC (SVGA) use 8-bit D-to-A for each primary
colour.

Digital RGB monitors cannot be used with an Analog RGB signal (unless
comparators are used to generate a digital signal from the analog one).

Analog RGB monitors cannot normally be used with a Digital RGB signal,
but generating an analog signal is possible with a resistor network
(an example of this is given in the Apple III Owner's Guide).  In some
cases, it may be possible to plug an Analog RGB monitor into a Digital
RGB output, but it won't produce the correct colours (when compared
with a Digital RGB monitor).

There are two common types of digital RGB monitor: one type will work
with the Apple III, Apple IIe (with RGB card), Apple IIc (with RGB
adaptor) and CGA on an IBM PC (different cables or adaptors are
required).  This type has intensity and one bit each for red, green
and blue (16 colours in total).

The second type is usable with EGA.  This has two bits each for red,
green and blue (64 colours in total).  These monitors also have a
higher scan frequency than the first type, and cannot be used with an
Apple II (unless a card has been specially designed to use them).

Analog RGB monitors are mainly classified by the scan frequency and
resolution.  The IIgs RGB monitor (A2M6014X) operates at similar
frequencies to television - around 15 kHz.  Macintosh and VGA/SVGA RGB
monitors do not support such low scan rates, and typically work at
about 30 kHz or higher.  The Mac cannot use the IIgs RGB monitor, and
the IIgs cannot use Mac/VGA RGB monitors.

Some third-party multisync monitors will work on the Mac/VGA and IIgs,
but these are very rare now.  Most multisyncs do not go as low as 15 kHz.

"15 kHz" and "30 kHz" refers to the horizontal scan frequency - Apple
II video output has a horizontal retrace roughly 15,000 times per
second.

Vertical retrace is a different issue (it is much slower - usually 50
to 100 retraces per second), and most monitors are very flexible in
the supported vertical retrace rate, as far as I know.

This is also where "interlacing" comes in.  Interlacing is a technique
which doubles the effective vertical resolution of the monitor, by
performing two vertical scans (fields) per frame, with a slight
vertical shift in the second field.  The scan lines for the second
field are interleaved between the scan lines for the first field.

An interlaced display has more noticeable flicker than a
non-interlaced display with double the frame rate, because the
phosphor is only lit half as often.

For example, the Second Sight card will support a 400 line interlaced
mode with the IIgs RGB monitor.  There will probably be noticeable
flicker in this mode (especially out of the corner of your eye).

This mode will have 60 fields (i.e. 30 frames) per second, whereas the
standard IIgs video output is non-interlaced with 60 frames per second
(but only 200 lines vertical resolution).

(I'm assuming 60 Hz mode - the IIgs also support 50 Hz mode, for use
in countries with 50 Hz mains supplies and TVs.)

Television also uses interlacing - with NTSC, there are 525 lines per
interlaced frame and 30 frames per second, with alternating lines
being scanned on each pass of the electron beam (262.5 lines per
field, 60 fields per second). 

PAL uses 625 lines per frame, usually at 50 frames per second (312.5
lines per field, 25 fields per second).
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand